> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Requests get details



## OpenAPI

````yaml get /abdm/v1/request
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/v1/request:
    get:
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
        - description: Consent/Subscription ID
          in: query
          name: id
          required: true
          schema:
            description: Consent/Subscription ID
            type: string
        - description: Request type
          in: query
          name: type
          schema:
            description: Request type
            enum:
              - consent
              - subscription
            type: string
        - description: Status of the request
          in: query
          name: status
          schema:
            description: Status of the request
            enum:
              - requested
              - granted
              - expired
              - denied
              - revoked
            type: string
        - description: OID is used to Identify the user.
          in: query
          name: oid
          schema:
            description: OID is used to Identify the user.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DetailsResponse'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    DetailsResponse:
      properties:
        access_mode:
          enum:
            - view
          type: string
        created_at:
          format: date-time
          type: string
        duration:
          $ref: '#/components/schemas/CommonsDuration'
        erase_at:
          format: date-time
          type: string
        hi_types:
          description: List of HI Types
          items:
            $ref: '#/components/schemas/CommonsHiType'
          type:
            - array
            - 'null'
        hiu:
          $ref: '#/components/schemas/CommonsHiu'
          description: HIU details
        id:
          type: string
        providers:
          description: List of Providers/Failities details
          items:
            $ref: '#/components/schemas/DetailsProviders'
          type:
            - array
            - 'null'
        purpose:
          $ref: '#/components/schemas/CommonsPurpose'
          description: Purpose of the request
        requester:
          $ref: '#/components/schemas/CommonsRequester'
          description: Requester details
        status:
          enum:
            - requested
            - granted
            - expired
            - denied
            - revoked
          type: string
        updated_at:
          format: date-time
          type: string
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    CommonsDuration:
      properties:
        from:
          description: Start time of the consent
          format: date-time
          type: string
        to:
          description: End time of the consent
          format: date-time
          type: string
      type: object
    CommonsHiType:
      properties:
        display:
          description: Display name of the Health Information Type
          type: string
        enabled:
          description: Is the Health Information Type enabled
          type: boolean
        id:
          description: Health Information Type ID
          enum:
            - OPConsultation
            - Prescription
            - DischargeSummary
            - DiagnosticReport
            - ImmunizationRecord
            - HealthDocumentRecord
            - WellnessRecord
          type: string
      type: object
    CommonsHiu:
      properties:
        id:
          description: Health Information User ID
          examples:
            - INXXXXX
          type: string
        name:
          description: Name of the Health Information User
          examples:
            - Apollo Hospital
          type: string
      type: object
    DetailsProviders:
      properties:
        care_contexts:
          items:
            $ref: '#/components/schemas/DetailsCareContext'
          type:
            - array
            - 'null'
        consent_artefact_id:
          description: >-
            Consent Artefact ID, it's a sub-part of consent. In a consent every
            Provide will have unique consent artefact id'
          type:
            - 'null'
            - string
        hip:
          $ref: '#/components/schemas/CommonsHip'
          description: HIP details
      type: object
    CommonsPurpose:
      properties:
        code:
          type: string
        text:
          type: string
      type: object
    CommonsRequester:
      properties:
        name:
          description: Name of the requester.
          examples:
            - Dr John
          type: string
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
    DetailsCareContext:
      properties:
        display:
          type: string
        id:
          type: string
      type: object
    CommonsHip:
      properties:
        id:
          description: Health Information Provider ID
          examples:
            - INXXXXX
          type: string
        name:
          description: Name of the Health Information Provider
          examples:
            - Apollo Hospital
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````